package de.dhbwstuttgart.sat.asp.model;

public enum ASPRule {
    ASP_PAIR_EQUALS_NAME("equals"),
    ASP_PAIR_SMALLER_NAME("smaller"),
    ASP_PAIR_SMALLER_DOT_NAME("smallerDot"),
    ASP_PARAMLIST_NAME("param"),
    ASP_PARAMLIST_END_POINTER("null"),
    ASP_TYPE("type"),
    ASP_FCTYPE("typeFC"),
    ASP_TYPE_VAR("typeVar");

    private final String text;

    private ASPRule(final String text) {
        this.text = text;
    }

    @Override
    public String toString() {
        return text;
    }
}
